umbrello: UMLTemplateDialog Class Reference

umbrello 2.31.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
UMLTemplateDialog Class Reference

`#include <umltemplatedialog.h>`

Inheritance diagram for UMLTemplateDialog:

## Public Member Functions
| UMLTemplateDialog (QWidget *pParent, UMLTemplate *pAttribute)
| ~UMLTemplateDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()

## Protected Member Functions
void | setupDialog ()
virtual bool | apply ()
void | insertTypesSorted (const QString &type=QString())
Protected Member Functions inherited from SinglePageDialogBase
virtual bool | validate ()

## Protected Attributes
UMLTemplate * | m_pTemplate
QGroupBox * | m_pValuesGB
QLabel * | m_pNameL
KLineEdit * | m_pNameLE
UMLDatatypeWidget * | m_datatypeWidget
UMLStereotypeWidget * | m_stereotypeWidget
DocumentationWidget * | m_docWidget

## Additional Inherited Members
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()

## Detailed Description

A dialog to edit the properties of a class template (paramaterised class)

Author
  Jonathan Riddell Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLTemplateDialog()

UMLTemplateDialog::UMLTemplateDialog | ( | QWidget * | pParent,
|  | UMLTemplate * | pAttribute
| ) |  |

## ◆ ~UMLTemplateDialog()

UMLTemplateDialog::~UMLTemplateDialog | ( |  | ) |

## Member Function Documentation

## ◆ apply()

bool UMLTemplateDialog::apply | ( |  | ) |
| protectedvirtual

Checks if changes are valid and applies them if they are, else returns false

Reimplemented from SinglePageDialogBase.

## ◆ insertTypesSorted()

void UMLTemplateDialog::insertTypesSorted | ( | const QString & | type = `QString()` | ) |
| protected

## ◆ setupDialog()

void UMLTemplateDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog

## Member Data Documentation

## ◆ m_datatypeWidget

UMLDatatypeWidget* UMLTemplateDialog::m_datatypeWidget
| protected

## ◆ m_docWidget

DocumentationWidget* UMLTemplateDialog::m_docWidget
| protected

## ◆ m_pNameL

QLabel* UMLTemplateDialog::m_pNameL
| protected

## ◆ m_pNameLE

KLineEdit* UMLTemplateDialog::m_pNameLE
| protected

## ◆ m_pTemplate

UMLTemplate* UMLTemplateDialog::m_pTemplate
| protected

The Attribute to represent

## ◆ m_pValuesGB

QGroupBox* UMLTemplateDialog::m_pValuesGB
| protected

## ◆ m_stereotypeWidget

UMLStereotypeWidget* UMLTemplateDialog::m_stereotypeWidget
| protected

The documentation for this class was generated from the following files:

- umbrello/dialogs/umltemplatedialog.h
- umbrello/dialogs/umltemplatedialog.cpp